Bug 1286678 - on dependency error, dnf provides no error message
on dependency error, dnf provides no error message
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 08:34 EST by cornel panceac
Modified: 2016-11-30 04:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 04:36:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf no error message (4.34 KB, text/plain)
2015-11-30 08:34 EST, cornel panceac
no flags Details
dnf skip no error (1.25 KB, text/plain)
2015-12-10 01:36 EST, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2015-11-30 08:34:01 EST
Created attachment 1100504 [details]
dnf no error message

Description of problem:
Trying to install 'pipelight', package is not installed and no error is provided. Trying the same thing with yum-deprecated reveals there's a missing dependency.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
no error messages but insstead it says "Dependencies resolved."


Expected results:
dnf reports what the problem is and what is the real outcome of the process.

Additional info:
Comment 1 cornel panceac 2015-12-01 05:52:16 EST
This is working on 

dnf-1.1.3-1.fc23.noarch
Comment 2 Michal Luscon 2015-12-08 10:07:33 EST
Do you have strict=false in your dnf.conf?
Comment 3 cornel panceac 2015-12-08 13:19:25 EST
Much to my surprise, no. It seems that latest dnf upgrade replaced the file.
But why is this relevant?
Comment 4 Michal Luscon 2015-12-09 05:17:03 EST
Because I can reproduced it only with strict=false. Can you confirm it is still reproducible on your system without strict=false?
Comment 5 cornel panceac 2015-12-10 01:36 EST
Created attachment 1104237 [details]
dnf skip no error
Comment 6 cornel panceac 2015-12-10 01:36:49 EST
I can not reproduce it without strict=false in the dnf configuration file.

# cat /etc/dnf/dnf.conf
[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=true

# dnf install pipelight
Last metadata expiration check performed 0:42:37 ago on Thu Dec 10 07:48:51 2015.
Error: nothing provides pipelight-selinux needed by pipelight-0.2.8-2.fc22.i686
(try to add '--allowerasing' to command line to replace conflicting packages)

After adding strict=false, i get the error in the newly attached file (dnf skip no error).
Comment 7 Honza Silhan 2015-12-14 08:31:08 EST
It could print a message which packages was skipped because of conflicts when `strict=false`.
Comment 8 cornel panceac 2015-12-15 00:42:31 EST
For me the problem is i don't see which packages are in conflict.
Comment 9 Fedora Admin XMLRPC Client 2016-07-08 05:39:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2016-11-24 08:50:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.